Package org.apache.storm.generated

## Class RebalanceOptions

- java.lang.Object
- - org.apache.storm.generated.RebalanceOptions

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<RebalanceOptions>`, `org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class RebalanceOptions
      extends Object
      implements org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>, Serializable, Cloneable, Comparable<RebalanceOptions>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RebalanceOptions._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<RebalanceOptions._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RebalanceOptions()` |
    `RebalanceOptions​(RebalanceOptions other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(RebalanceOptions other)` |
    `RebalanceOptions` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(RebalanceOptions that)` |
    `RebalanceOptions._Fields` | `fieldForId​(int fieldId)` |
    `Map<String,​Integer>` | `get_num_executors()` |
    `int` | `get_num_executors_size()` |
    `int` | `get_num_workers()` |
    `String` | `get_principal()` |
    `String` | `get_topology_conf_overrides()` |
    `Map<String,​Map<String,​Double>>` | `get_topology_resources_overrides()` |
    `int` | `get_topology_resources_overrides_size()` |
    `int` | `get_wait_secs()` |
    `Object` | `getFieldValue​(RebalanceOptions._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_num_executors()` | Returns true if field num_executors is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_num_workers()` | Returns true if field num_workers is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_principal()` | Returns true if field principal is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology_conf_overrides()` | Returns true if field topology_conf_overrides is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_topology_resources_overrides()` | Returns true if field topology_resources_overrides is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_wait_secs()` | Returns true if field wait_secs is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(RebalanceOptions._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_num_executors​(String key, int val)` |
    `void` | `put_to_topology_resources_overrides​(String key, Map<String,​Double> val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_num_executors​(Map<String,​Integer> num_executors)` |
    `void` | `set_num_executors_isSet​(boolean value)` |
    `void` | `set_num_workers​(int num_workers)` |
    `void` | `set_num_workers_isSet​(boolean value)` |
    `void` | `set_principal​(String principal)` |
    `void` | `set_principal_isSet​(boolean value)` |
    `void` | `set_topology_conf_overrides​(String topology_conf_overrides)` |
    `void` | `set_topology_conf_overrides_isSet​(boolean value)` |
    `void` | `set_topology_resources_overrides​(Map<String,​Map<String,​Double>> topology_resources_overrides)` |
    `void` | `set_topology_resources_overrides_isSet​(boolean value)` |
    `void` | `set_wait_secs​(int wait_secs)` |
    `void` | `set_wait_secs_isSet​(boolean value)` |
    `void` | `setFieldValue​(RebalanceOptions._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_num_executors()` |
    `void` | `unset_num_workers()` |
    `void` | `unset_principal()` |
    `void` | `unset_topology_conf_overrides()` |
    `void` | `unset_topology_resources_overrides()` |
    `void` | `unset_wait_secs()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<RebalanceOptions._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### RebalanceOptions

          public RebalanceOptions()

    - #### RebalanceOptions

          public RebalanceOptions​(RebalanceOptions other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public RebalanceOptions deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>`

    - #### get_wait_secs

          public int get_wait_secs()

    - #### set_wait_secs

          public void set_wait_secs​(int wait_secs)

    - #### unset_wait_secs

          public void unset_wait_secs()

    - #### is_set_wait_secs

          public boolean is_set_wait_secs()

      Returns true if field wait_secs is set (has been assigned a value) and false otherwise

    - #### set_wait_secs_isSet

          public void set_wait_secs_isSet​(boolean value)

    - #### get_num_workers

          public int get_num_workers()

    - #### set_num_workers

          public void set_num_workers​(int num_workers)

    - #### unset_num_workers

          public void unset_num_workers()

    - #### is_set_num_workers

          public boolean is_set_num_workers()

      Returns true if field num_workers is set (has been assigned a value) and false otherwise

    - #### set_num_workers_isSet

          public void set_num_workers_isSet​(boolean value)

    - #### get_num_executors_size

          public int get_num_executors_size()

    - #### put_to_num_executors

          public void put_to_num_executors​(String key,
                                           int val)

    - #### get_num_executors

          public Map<String,​Integer> get_num_executors()

    - #### set_num_executors

          public void set_num_executors​(Map<String,​Integer> num_executors)

    - #### unset_num_executors

          public void unset_num_executors()

    - #### is_set_num_executors

          public boolean is_set_num_executors()

      Returns true if field num_executors is set (has been assigned a value) and false otherwise

    - #### set_num_executors_isSet

          public void set_num_executors_isSet​(boolean value)

    - #### get_topology_resources_overrides_size

          public int get_topology_resources_overrides_size()

    - #### put_to_topology_resources_overrides

          public void put_to_topology_resources_overrides​(String key,
                                                          Map<String,​Double> val)

    - #### get_topology_resources_overrides

          public Map<String,​Map<String,​Double>> get_topology_resources_overrides()

    - #### set_topology_resources_overrides

          public void set_topology_resources_overrides​(Map<String,​Map<String,​Double>> topology_resources_overrides)

    - #### unset_topology_resources_overrides

          public void unset_topology_resources_overrides()

    - #### is_set_topology_resources_overrides

          public boolean is_set_topology_resources_overrides()

      Returns true if field topology_resources_overrides is set (has been assigned a value) and false otherwise

    - #### set_topology_resources_overrides_isSet

          public void set_topology_resources_overrides_isSet​(boolean value)

    - #### get_topology_conf_overrides

          public String get_topology_conf_overrides()

    - #### set_topology_conf_overrides

          public void set_topology_conf_overrides​(String topology_conf_overrides)

    - #### unset_topology_conf_overrides

          public void unset_topology_conf_overrides()

    - #### is_set_topology_conf_overrides

          public boolean is_set_topology_conf_overrides()

      Returns true if field topology_conf_overrides is set (has been assigned a value) and false otherwise

    - #### set_topology_conf_overrides_isSet

          public void set_topology_conf_overrides_isSet​(boolean value)

    - #### get_principal

          public String get_principal()

    - #### set_principal

          public void set_principal​(String principal)

    - #### unset_principal

          public void unset_principal()

    - #### is_set_principal

          public boolean is_set_principal()

      Returns true if field principal is set (has been assigned a value) and false otherwise

    - #### set_principal_isSet

          public void set_principal_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(RebalanceOptions._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(RebalanceOptions._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>`

    - #### isSet

          public boolean isSet​(RebalanceOptions._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(RebalanceOptions that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(RebalanceOptions other)

      Specified by:
        `compareTo` in interface `Comparable<RebalanceOptions>`

    - #### fieldForId

          public RebalanceOptions._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<RebalanceOptions,​RebalanceOptions._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`